#
# spec file for package kmtail version 0.9.1
#
# 
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

#BuildRequires:      kdebase4-workspace-devel update-desktop-files


Name:               kmtail
Summary:            Syslog monitor
Version:            0.9.1
Release:            0.2
License:            GPL
Group:              System/Monitoring
Source0:            kmtail-%{version}.tar.bz2
Patch0:		    kmtail.diff
BuildRoot:          %{_tmppath}/%{name}-%{version}-build
AutoReqProv:        yes


%kde4_runtime_requires

Url:                http://kde-apps.org/content/show.php/KmTail?content=124134

%description
This KDE4 application to monitor multiple logs in a graphical environment, like the venerable ktail.

Author:
-------
   Robin Atwood <robin.atwood@attglobal.net>

%prep
%setup -n kmtail-%{version}
%patch0


%build
  %cmake_kde4 -d builddir
  %make_jobs

%install
  cd builddir
  %makeinstall

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/kmtail
%_kde_share_dir/apps/kmtail/kmtailui.rc
%_datadir/applications/kde4/kmtail.desktop
%_datadir/icons/*
%_datadir/locale/*
%_datadir/doc/kde/HTML/*

%changelog
* Fri Nov 26 2010 joe_morris@ntm.org
- first build of version 0.9.1

